Bug 157591 - [PATCH] Fix port: databases/mysql40-server should use USERS
Summary: [PATCH] Fix port: databases/mysql40-server should use USERS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alex Dupre
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-04 10:40 UTC by Chris Rees
Modified: 2011-06-13 11:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Rees 2011-06-04 10:40:19 UTC
	

	This port uses pkg-install to create new users instead of using USERS= and GROUPS=

Fix: - Use USERS and GROUPS

	Submitted by: Chris Rees (utisoft@gmail.com)

	Please note that pkg-install has been removed.




-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.--YXQYlMA5olKrdU5UoROrI9TDejCDtRsgbyLssM7GkTvsrH7B
Content-Type: text/plain; name="databases-mysql40-server.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="databases-mysql40-server.patch"

Index: Makefile
===================================================================
RCS file: /exports/cvsroot-freebsd/ports/databases/mysql40-server/Makefile,v
retrieving revision 1.219
diff -u -r1.219 Makefile
--- Makefile	8 Feb 2011 12:01:34 -0000	1.219
+++ Makefile	2 Jun 2011 12:51:24 -0000
@@ -78,6 +78,9 @@
 
 # MySQL-Server part
 .if !defined(CLIENT_ONLY) && !defined(SCRIPTS_ONLY)
+USERS=		${PORTNAME}
+GROUPS=		${USERS}
+
 USE_MYSQL=	yes
 WANT_MYSQL_VER=	40
 
@@ -121,11 +124,6 @@
 	@${REINPLACE_CMD} -e 's|\&\& defined(__GNUC__)|\&\& defined(__GNUC__) \&\& 0|' \
 		${WRKSRC}/include/my_global.h
 
-post-install:
-.if !defined(PACKAGE_BUILDING)
-	@${SETENV} ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
-.endif
-
 .else
 # MySQL-Client part
 .if defined(CLIENT_ONLY)
Index: pkg-install
===================================================================
RCS file: pkg-install
diff -N pkg-install
--- pkg-install	14 Mar 2005 10:52:45 -0000	1.6
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,36 +0,0 @@
-#!/bin/sh
-
-PATH=/bin:/usr/sbin
-
-case $2 in
-POST-INSTALL)
-	USER=mysql
-	GROUP=${USER}
-	UID=88
-	GID=${UID}
-
-	if pw group show "${GROUP}" 2>/dev/null; then
-		echo "You already have a group \"${GROUP}\", so I will use it."
-	else
-		if pw groupadd ${GROUP} -g ${GID}; then
-			echo "Added group \"${GROUP}\"."
-		else
-			echo "Adding group \"${GROUP}\" failed..."
-			exit 1
-		fi
-	fi
-
-	if pw user show "${USER}" 2>/dev/null; then
-		echo "You already have a user \"${USER}\", so I will use it."
-	else
-		if pw useradd ${USER} -u ${UID} -g ${GROUP} -h - \
-			-d /nonexistent -s /sbin/nologin -c "MySQL Daemon"
-		then
-			echo "Added user \"${USER}\"."
-		else
-			echo "Adding user \"${USER}\" failed..."
-			exit 1
-		fi
-	fi
-	;;
-esac
Comment 1 Edwin Groothuis freebsd_committer 2011-06-04 10:40:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ale

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Alex Dupre freebsd_committer 2011-06-13 11:11:40 UTC
State Changed
From-To: open->closed

Committed.
Comment 3 dfilter service freebsd_committer 2011-06-13 11:11:45 UTC
ale         2011-06-13 10:11:31 UTC

  FreeBSD ports repository

  Modified files:
    databases/mysql40-server Makefile 
    databases/mysql41-server Makefile 
  Removed files:
    databases/mysql40-server pkg-install 
    databases/mysql41-server pkg-install 
  Log:
  Switch to USERS/GROUPS.
  
  PR:             ports/157562, ports/157591
  Submitted by:   crees
  
  Revision  Changes    Path
  1.220     +3 -5      ports/databases/mysql40-server/Makefile
  1.7       +0 -36     ports/databases/mysql40-server/pkg-install (dead)
  1.237     +3 -5      ports/databases/mysql41-server/Makefile
  1.7       +0 -36     ports/databases/mysql41-server/pkg-install (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"